{% extends "base.html" %}
{% block main %}
{% block styles %}
{{ super() }}
<style>

div.artist {
    text-align: center;
}
</style>
{% endblock %}

{% if artist_songs|length == 1 %}
<h1>Oeuvre de {{ artist.name }}</h1>
{% elif artist_songs|length == 0 %}
<h1>{{ artist.name }} n'a pas encore d'oeuvres enregistrées</h1>
{% else %}
<h1>Oeuvres de {{ artist.name }}</h1>
{%endif%}

<div class="artist">
        {% for x in artist_songs %}
            <a href="{{ url_for('song',id = x['id']) }}">
                <img src="{{ url_for('static', filename='images/'+x.img) }}" alt={{x.title}} style="width: 300px; margin-bottom: 1%">
            </a>
        {% endfor %}
    <footer>
        <br>
        {% if not current_user.is_authenticated %}
        <p>Connectez vous pour modifier cet auteur</p>
        {% endif %}
        <a href="{{ url_for('edit_artist',id = artist.id) }}"><p>Editer</p></a>
        <a href="{{ url_for('delete_artist',id = artist.id) }}"><p>Supprimer</p></a>
    </footer>
</div>
{% endblock %}